# Get a storage adapter Retrieves full details of a single adapter instance by its ID. Request: adapterId - ID of the adapter to retrieve. Response: The adapter instance including its ID, backend type, storage class, retrieval and upload priority values, type-specific configuration, and timestamps. Endpoint: POST /api/v1/content/retrieve-adapter Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `adapterId` (string) Rule data fields ## Response 200 fields (application/json): - `id` (string) Rule data fields - `adapterType` (integer) Enum: 0, 2, 3, 5 - `storageClass` (integer) common structs Enum: 0, 1, 2, 3, 4 - `retrievalPriority` (integer) - `uploadPriority` (integer) - `config` (any) - `createdDt` (object) - `createdDt.seconds` (integer) - `createdDt.nanos` (integer) - `updatedDt` (object) - `deletedDt` (object) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)